curl https://api.primefreight.com/v2/shipments/shp_100001 \
-H "Authorization: Bearer <token>"
GET /v2/shipments/{id}
Returns the full shipment record. One shipment references exactly one container.
Path parameters
string
required
The shipment ID.
Response
| Field | Type | Description |
|---|---|---|
id | string | Shipment ID |
file_number | string | PrimeFreight file number |
status | string | Journey status. See Status values |
customs_status | string | Customs status |
delivery_status | string | Delivery status |
references.master_bl | string | Master bill of lading |
references.house_bl | string | House bill of lading |
references.booking_numbers | string[] | Carrier booking numbers |
references.cargo_number | string | Cargo number |
routing.port_of_discharge | string | Port of discharge |
routing.port_of_destination | string | Final destination port |
routing.vessel_name | string | Vessel name |
routing.voyage_no | string | Voyage number |
schedule.etd_origin | string | Estimated departure from origin |
schedule.eta_port_of_discharge | string | Estimated arrival at port of discharge |
schedule.eta_destination | string | Estimated arrival at destination |
schedule.eta_destination_revised | string | Latest revised ETA at destination |
parties.customer | string | Customer |
parties.shipper | string | Shipper |
parties.forwarder | string | Forwarder |
parties.consignee | string | Consignee |
parties.customs_broker | string | Customs broker |
container_id | string | ID of the container on this shipment |
updated_at | string | When the shipment last changed |
{
"id": "shp_100001",
"file_number": "R00001",
"status": "Departed Discharge Terminal",
"customs_status": "Goods Not Yet Arrived",
"delivery_status": "Goods Not Yet Arrived At Port",
"references": {
"master_bl": "DUMYMBL0001",
"house_bl": "DUMYHBL0001",
"booking_numbers": ["BKG0000001"],
"cargo_number": "CRG0000001"
},
"routing": {
"port_of_discharge": "Vancouver",
"port_of_destination": null,
"vessel_name": "EXAMPLE VESSEL 001",
"voyage_no": null
},
"schedule": {
"etd_origin": "2026-06-23",
"eta_port_of_discharge": "2026-07-08",
"eta_destination": "2026-07-16",
"eta_destination_revised": "2026-07-16T04:00:00-04:00"
},
"parties": {
"customer": "Acme Retail Inc",
"shipper": "Example Manufacturing Co Ltd",
"forwarder": "Sample Forwarding Ltd",
"consignee": null,
"customs_broker": null
},
"container_id": "cnt_100001",
"updated_at": "2026-07-16T05:12:44-04:00"
}
